> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Elenca domini

> Elenca i domini cliente visibili al principal dell’API pubblica.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.it.json GET /v1/public/accounts/{account_id}/domains
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/domains:
    get:
      tags:
        - public-accounts
        - public-domains
      summary: Elenca domini
      description: Elenca i domini cliente visibili al principal dell’API pubblica.
      operationId: list_public_domains_v1_public_accounts__account_id__domains_get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: query
          name: workspace_id
          required: false
          schema:
            anyOf:
              - format: uuid
                type: string
              - type: 'null'
            title: Workspace Id
        - in: query
          name: page
          required: false
          schema:
            default: 1
            title: Page
            type: integer
        - in: query
          name: page_size
          required: false
          schema:
            default: 25
            title: Page Size
            type: integer
        - in: query
          name: search
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Search
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DomainListResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Errore di validazione
      security:
        - PublicBearerAuth: []
components:
  schemas:
    DomainListResponse:
      properties:
        items:
          description: Domini in questa pagina
          items:
            $ref: '#/components/schemas/DomainListRowResponse'
          title: Elementi
          type: array
        page:
          description: Numero di pagina corrente in base uno
          title: Pagina
          type: integer
        page_size:
          description: Numero massimo di articoli per pagina
          title: Dimensione pagina
          type: integer
        total:
          description: Domini corrispondenti totali
          title: Totale
          type: integer
      required:
        - items
        - page
        - page_size
        - total
      title: DomainListResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Dettaglio
          type: array
      title: HTTPValidationError
      type: object
    DomainListRowResponse:
      description: Riga elenco domini rivolta al cliente.
      properties:
        auto_renew:
          default: false
          description: Se il rinnovo automatico del dominio è abilitato
          title: automatico Renew
          type: boolean
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          description: Timestamp di creazione del dominio
          title: Creato il
        dedicated_ip_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          description: Assegnato IP UUID dedicato, se presente
          title: Id IP dedicato
        id:
          description: Dominio UUID
          format: uuid
          title: ID
          type: string
        inbound_tenant_external_id:
          anyOf:
            - type: string
            - type: 'null'
          description: ID esterno del provider per il tenant in entrata
          title: Inbound Tenant External ID
        inbound_tenant_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          description: Tenant in entrata UUID, se assegnato
          title: Inbound Tenant ID
        inbound_tenant_name:
          anyOf:
            - type: string
            - type: 'null'
          description: Nome visualizzato del tenant in entrata, se assegnato
          title: Inbound Tenant nome
        inbound_tenant_type:
          anyOf:
            - type: string
            - type: 'null'
          description: Tipo di tenant in entrata, se assegnato
          title: Inbound Tenant tipo
        name:
          description: Nome di dominio
          title: Nome
          type: string
        outbound_routing_ready:
          description: Se il routing in uscita è pronto
          title: Routing in uscita pronto
          type: boolean
        redirect_mode:
          anyOf:
            - enum:
                - '301'
                - '302'
                - iframe
              type: string
            - type: 'null'
          description: Modalità di reindirizzamento configurata, se presente
          title: Redirect modalità
        redirect_url:
          anyOf:
            - type: string
            - type: 'null'
          description: URL di reindirizzamento configurato, se presente
          title: Redirect URL
        status:
          description: Stato del ciclo di vita del dominio
          title: Stato
          type: string
        tags:
          description: Tag allegati al dominio
          items:
            $ref: '#/components/schemas/DomainTagResponse'
          title: Tag
          type: array
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
          description: Timestamp dell'ultimo aggiornamento del dominio
          title: Aggiornato il
        workspace_id:
          description: Area di lavoro UUID che contiene il dominio
          format: uuid
          title: Id area di lavoro
          type: string
      required:
        - id
        - name
        - status
        - workspace_id
        - outbound_routing_ready
      title: DomainListRowResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Posizione
          type: array
        msg:
          title: Messaggio
          type: string
        type:
          title: Tipo errore
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    DomainTagResponse:
      description: Tag associato a un dominio.
      properties:
        id:
          description: Etichetta UUID
          format: uuid
          title: ID
          type: string
        name:
          description: Nome visualizzato del tag
          title: Nome
          type: string
      required:
        - id
        - name
      title: DomainTagResponse
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````